## org.jfree.chart.labels
Class HighLowItemLabelGenerator

    java.lang.Object
      org.jfree.chart.labels.HighLowItemLabelGenerator

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, XYLabelGenerator, XYToolTipGenerator, org.jfree.util.PublicCloneable

    public class HighLowItemLabelGenerator

extends java.lang.Object
implements XYLabelGenerator, XYToolTipGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

A standard item label generator for plots that use data from a `OHLCDataset`.

See Also:
  Serialized Form

Constructor Summary
`HighLowItemLabelGenerator()` Creates an item label generator using the default date and number formats.
`HighLowItemLabelGenerator(java.text.DateFormat dateFormatter, java.text.NumberFormat numberFormatter)` Creates a tool tip generator using the supplied date formatter.

Method Summary
`java.lang.Object` `clone()` Returns an independent copy of the generator.
`boolean` `equals(java.lang.Object o)` Tests if this object is equal to another.
`java.lang.String` `generateLabel(XYDataset dataset, int series, int category)` Generates a label for the specified item.
`java.lang.String` `generateToolTip(XYDataset dataset, int series, int item)` Generates a tooltip text item for a particular item within a series.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighLowItemLabelGenerator

    public HighLowItemLabelGenerator()

  Creates an item label generator using the default date and number formats.

### HighLowItemLabelGenerator

    public HighLowItemLabelGenerator(java.text.DateFormat dateFormatter,
                                     java.text.NumberFormat numberFormatter)

  Creates a tool tip generator using the supplied date formatter.

  Parameters:
    `dateFormatter` - the date formatter (`null` not permitted).
    `numberFormatter` - the number formatter (`null` not permitted).

Method Detail

### generateToolTip

    public java.lang.String generateToolTip(XYDataset dataset,
                                            int series,
                                            int item)

  Generates a tooltip text item for a particular item within a series.

  Specified by:
    `generateToolTip` in interface `XYToolTipGenerator`
  Parameters:
    `dataset` - the dataset.
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    the tooltip text.

### generateLabel

    public java.lang.String generateLabel(XYDataset dataset,
                                          int series,
                                          int category)

  Generates a label for the specified item. The label is typically a formatted version of the data value, but any text can be used.

  Specified by:
    `generateLabel` in interface `XYLabelGenerator`
  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `series` - the series index (zero-based).
    `category` - the category index (zero-based).
  Returns:
    the label (possibly `null`).

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns an independent copy of the generator.

  Specified by:
    `clone` in interface `org.jfree.util.PublicCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported.

### equals

    public boolean equals(java.lang.Object o)

  Tests if this object is equal to another.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the other object.
  Returns:
    A boolean.